from datetime import datetime

import click

from em_tasks.store.models import *
from shopping_utils.google_shopping import GoogleShopping
from em_celery import logger, init_db


@click.command('Reprice Spree Amazon products')
@click.option('-s', '--store_code', required=True, type=str, help='Store code.')
def update_expiration(store_code):
  init_db()

  for gmc_store in GmcStore.select().execute():
    merchant_id = gmc_store.merchant_id

    started_at = datetime.now()
    service_account_data = json.loads(gmc_store.service_account_data)

    logger.info("[GmcExpirationUpdate] {}".format(merchant_id))

    gs = GoogleShopping(merchant_id, service_account_data)
    gs.update_expiration()
    ended_at = datetime.now()

    logger.info('TimeUsed: {} minutes'.format(round((ended_at - started_at).total_seconds() / 60, 2)))


if __name__ == "__main__":
  update_expiration()
